import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Food is a delicious food for you. 
 * @LiuLufei
 * @10.31.2019 
 * the picture comes from http://90sheji.com/sucai/13380099.html
 */
public class Food extends Actor
{
    private GreenfootImage image1;
    private GreenfootImage image2;
    
    public Food()
    {
        //use two pictures to make it looks like alive.
        image1 = new GreenfootImage("paopao.png");
        image2 = new GreenfootImage("paopao2.png");
        setImage(image1);
    }
    public void act() 
    {   
        //switchimage the image to add action.
        switchImage();
        //check whether it is at edge.if true,turn back.
        checkIsAtEdge();
        //make the fish move and turn randmoly.
        moveControl();
        //check whether CatFish is still in screen;
        checkIsInScreen();
    }
    public void checkIsInScreen()
    {
        /*
         * check whether CatFish is still in screen;
         */
        if (getX() == 0)
        {
            MyWorld myworld = (MyWorld)getWorld();
            myworld.removeObject(this);
        } 
    }
    
    public void moveControl()
    {
        /*
            make the fish move and turn randmoly.
        */
        if (Greenfoot.getRandomNumber(100)<5)
        {
            turn(Greenfoot.getRandomNumber(360)-180);
        }
        move(Greenfoot.getRandomNumber(3)-4);
    }
    public void checkIsAtEdge()
    {
        /*
         * check whether it is at edge.if true,turn back.
        */
        if (isAtEdge())
        {
            turn(180);
        }
        
    }
    public void switchImage()
    {   //add move action.
        if (getImage() == image1) 
        {
            setImage(image2);
        }
        else 
        {
            setImage(image1);
        }
    }
}
