import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * MyWorld is a wonderful sea,which includes all kinds of fish, food and dangers enemy. 
 * @LiuLufei (your name) 
 * @10.31.2019 (a version number or a date)
 * Background image come from https://vignette.wikia.nocookie.net/spongebob/images/f/f7/
 * Patrick%27s_Rock.png/revision/latest?cb=20180820000304
 */
public class MyWorld extends World
{
    // Food and enemy are randomly generated on the Y-axis
    private int locationY;
    //Your score after eating the food
    static int score = 0;  
    /**
     * Constructor for objects of class MyWorld.
     * 
     */
    public MyWorld()
    {    
        /* 
         Create a new world with 901x503 cells with a cell size of 1x1 pixels. 
        */
        super(1600, 900, 1);
        //control game speed. 
        Greenfoot.setSpeed(40);
        //Initializes food enemy and self
        prepare();                
        Greenfoot.playSound("music_logo.mp3");
        
    }
    
    public void act()
    {   
        //Show your score on the screen 
        showScore();
        //Food and enemy are randomly generated on the Y-axis
        locationY = Greenfoot.getRandomNumber(900);
        //Control the probability of food appearing
        if (Greenfoot.getRandomNumber(200) < 10)
        {
            addObject(new Food(), 1300, locationY);
        }
        //Control the probability of food CatFish appearing
        if (Greenfoot.getRandomNumber(200) < 20)
        {
            addObject(new CatFish(), 1500, locationY);
        }
        //Control the probability of Enemy CatFish appearing
        if (Greenfoot.getRandomNumber(200) < 1)
        {
            addObject(new Enemy(), 1350, locationY);
        }
        //Control the probability of Pilaoban appearing
        if (Greenfoot.getRandomNumber(100) < 10)
        {
            addObject(new Pilaoban(),200 , Greenfoot.getRandomNumber(900));
        }
        //add bubble from the end.
        if (Greenfoot.getRandomNumber(100) < 10)
        {
            addObject(new Smallbubble(),Greenfoot.getRandomNumber(1600) , 900);
        }
    }
    
    public void addScore(int points)
    {   /*
        you will get score after eatting food
        */
        score = score + points;
        //tell players YOU WIN and play music,if your score is bigger than 1200.
        if(score>1200)
        {   
            
            showText("YOU WIN! THE SCORE IS" + score, 800, 450);
            Greenfoot.playSound("fanfare.wav");
            Greenfoot.stop();
            //Restore the score
            score = 0;
        }
    }
    private void showScore()
    {
        /*
         *Show your score on the screen 
         */
        showText("Score: " + score, 160, 25);
    }
    private void prepare()
    {
        /*
         * creat Myfish and some food;
        */
        Myfish myfish = new Myfish();
        addObject(myfish, 128, 200);
        //add food
        Food food1 = new Food();
        addObject(food1, 420, 20);
        Food food2 = new Food();
        addObject(food2, 500, 80);
        Food food3 = new Food();
        addObject(food3, 600, 140);
        Food food4 = new Food();
        addObject(food4, 800, 200);
        Food food5 = new Food();
        addObject(food5, 100, 260);
        //add CatFish
        CatFish food6 = new CatFish();
        addObject(food6, 420, 320);
        CatFish food7 = new CatFish();
        addObject(food7, 800, 380);
        CatFish food8 = new CatFish();
        addObject(food8, 600, 440);
        CatFish food9 = new CatFish();
        addObject(food9, 1500, 70);
        CatFish food10 = new CatFish();
        addObject(food10, 1200, 470);
        //add enemy
        Enemy enemy = new Enemy();
        addObject(enemy, 1500, 250);
        //add Pilaoban
        Pilaoban pilaoban = new Pilaoban();
        addObject(pilaoban, 1400, 500);
        //add bubble from the end
        Smallbubble bubble0 = new Smallbubble();
        addObject(bubble0, 30, 800);
        Smallbubble bubble1 = new Smallbubble();
        addObject(bubble1, 150, 890);
        Smallbubble bubble2 = new Smallbubble();
        addObject(bubble2, 300, 840);
        Smallbubble bubble3 = new Smallbubble();
        addObject(bubble3, 500, 890);
        Smallbubble bubble4 = new Smallbubble();
        addObject(bubble4, 600, 900);
        Smallbubble bubble5 = new Smallbubble();
        addObject(bubble5, 900, 890);
        Smallbubble bubble6 = new Smallbubble();
        addObject(bubble6, 1200, 880);
        Smallbubble bubble7 = new Smallbubble();
        addObject(bubble7, 1500, 791);
       
    
    }
}
