import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Enemy is a danger for you. 
 * @LiuLufei
 * @10.31.2019 
 * /**
     * Act - do whatever the Myfish wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     * //https://image.baidu.com/search/detail?ct=503316480&z=
     * 0&ipn=d&word=%E6%B4%BE%E5%A4%A7%E6%98%9F%E6%8D%95%E9%B1
     * %BC&step_word=&hs=2&pn=0&spn=0&di=11440&pi=0&rn=1&tn=ba
     * iduimagedetail&is=0%2C0&istype=2&ie=utf-8&oe=utf-8&in=&
     * cl=2&lm=-1&st=-1&cs=3719459604%2C1144128961&os=32936898
     * 03%2C1406726548&simid=0%2C0&adpicid=0&lpn=0&ln=141&fr=&
     * fmq=1572509921548_R&fm=result&ic=&s=undefined&hd=&lates
     * t=&copyright=&se=&sme=&tab=0&width=&height=&face=undefi
     * ned&ist=&jit=&cg=&bdtype=0&oriquery=&objurl=http%3A%2F%
     * 2Fi1.hdslb.com%2Fbfs%2Fface%2Ff842b30e8923384734b2684f6
     * dadde76c860f8d1.jpg&fromurl=ippr_z2C%24qAzdH3FAzdH3Fooo
     * _z%26e3Bktstktst_z%26e3Bv54AzdH3Fet1j5AzdH3Fwe8bddl8lmA
     * zdH3F&gsm=&rpstart=0&rpnum=0&islist=&querylist=&force=u
     * ndefined
     * /
 */
public class Myfish extends Actor
{
    private GreenfootImage image1;
    private GreenfootImage image2;
    
    public Myfish()
    {   
        //add move action;
        image1 = new GreenfootImage("paidaxing.png");
        image2 = new GreenfootImage("paidaxing2.png");
        setImage(image1);
    }
    
    public void act() 
    {   
        //control your fish up, down, right, and left.
        checkKeyPress();
        // eat food;
        checkCollision();
        //add move action.
        switchImage();
        
    }
    
    public void switchImage()
    {   //add move action.
        if (getImage() == image1) 
        {
            setImage(image2);
        }
        else 
        {
            setImage(image1);
        }
    }
    
    private void checkKeyPress()
    {
        // control your fish up, down, right, and left.
        if (Greenfoot.isKeyDown("up")) 
        {
            setLocation(getX(), getY()-16);
        }
        
        if (Greenfoot.isKeyDown("down")) 
        {
            setLocation(getX(), getY()+16);
        }
        
        if (Greenfoot.isKeyDown("right")) 
        {
            setLocation(getX()+14, getY());
        }
        
        if (Greenfoot.isKeyDown("left")) 
        {
            setLocation(getX()-14, getY());
        }
    }
    
    private void checkCollision()
    {   // eat food;
        if(isTouching(Food.class))
        {
            removeTouching(Food.class);
            MyWorld myworld = (MyWorld)getWorld();
            myworld.addScore(20);
            Greenfoot.playSound("eat2.wav");
        }
        if(isTouching(CatFish.class))
        {
            removeTouching(CatFish.class);
            MyWorld myworld = (MyWorld)getWorld();
            myworld.addScore(40);
            Greenfoot.playSound("eat2.wav");
        }
        if(isTouching(Pilaoban.class))
        {
            removeTouching(Pilaoban.class);
            MyWorld myworld = (MyWorld)getWorld();
            myworld.addScore(-40);
            Greenfoot.playSound("eat2.wav");
        }
    }
    
    
}
