import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * CatFish is a delicious food for you. 
 * @LiuLufei
 * @10.31.2019 
 * the shuimu come from https://www.google.com/imgres?
 * imgurl=http%3A%2F%2Fwww.hkrstudio.com%2Fhkr%2FSpongeBob%2F%25A4%25BD%2
 * 5A8%25AE%26%25A4%25F4%25A5%25C0%2F%25A4%25B8%25A4%25B8%25B8%25EA%25AE%
 * 25C6%25A7%25A8%2F%25A8%25E4%25A5L%25AA%25BA%2FTrista%25A6X%25A7%40%25AE
 * %25D7%25A4l%2F%25AE%25FC%25BA%25F8%25C4_%25C4_%2F%25B6K%25B9%25CF00%2F%
 * 25B6K%25B9%25CF-%25A4%25F4%25A5%25C0%25A5%25D000%2F%25B7s%25BCW%25B8%25
 * EA%25AE%25C6%25A7%25A8%2F%25A4%25F4%25A5%25C0%25A4j.JPG&imgrefurl=http%3
 * A%2F%2Fwww.hkrstudio.com%2Fhkr%2FSpongeBob%2F%25A4%25BD%25A8%25AE%26%25A4
 * %25F4%25A5%25C0%2F%25A4%25B8%25A4%25B8%25B8%25EA%25AE%25C6%25A7%25A8%2F%2
 * 5A8%25E4%25A5L%25AA%25BA%2FTrista%25A6X%25A7%40%25AE%25D7%25A4l%2F%25AE%2
 * 5FC%25BA%25F8%25C4_%25C4_%2F%25B6K%25B9%25CF00%2F%25B6K%25B9%25CF-%25A4%
 * 25F4%25A5%25C0%25A5%25D000%2F%25B7s%25BCW%25B8%25EA%25AE%25C6%25A7%25A8%2
 * F&tbnid=Swf7iIko8nvK3M&vet=12ahUKEwiQ-cTGq8blAhUtposKHV9HCdIQMygwegQIARB
 * l..i&docid=fejW92hmLxPtaM&w=666&h=691&q=%E6%B5%B7%E7%BB%B5%E5%AE%9D%E5%A
 * E%9D%E6%B0%B4%E6%AF%8D&ved=2ahUKEwiQ-cTGq8blAhUtposKHV9HCdIQMygwegQIARBl
 */
public class CatFish extends Actor
{
    //use two pictures to make it looks like alive.
    private GreenfootImage image1;
    private GreenfootImage image2;
    public CatFish()
    {
        image1 = new GreenfootImage("shuimu1.png");
        image2 = new GreenfootImage("shuimu2.png");
        //set image1 at the beging
        setImage(image1);
    }
    
    /**
     * Act - do whatever the CatFish wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {   
        //check whether it is at edge.if true,turn back.
        checkIsAtEdge();
        //make the fish move and turn randmoly.
        moveControl();
        //check whether CatFish is still in screen;
        checkIsInScreen();
        //change the image to make the fish looks like alive.
        switchImage();
        
    }
    
    public void checkIsInScreen()
    {
        /*
         * check whether CatFish is still in screen;
         */
        if (getX() < 50)
        {
            MyWorld myworld = (MyWorld)getWorld();
            myworld.removeObject(this);
        }
    }
    
    public void moveControl()
    {   /*
            make the fish move and turn randmoly.
        */
        if (Greenfoot.getRandomNumber(100)<3)
        {
            turn(Greenfoot.getRandomNumber(360)-180);
        }

        move(Greenfoot.getRandomNumber(5)-10);
    }
    
    public void checkIsAtEdge()
    {   
        /*
         * check whether it is at edge.if true,turn back.
        */
        if (isAtEdge()) {
            turn(180);
        }
    }
    
    public void switchImage()
    {   /*
            add move action.
        */
        if (getImage() == image1) 
        {
            setImage(image2);
        }
        else 
        {
            setImage(image1);
        }
    }
}
